package com.yihu.hos.system.model;

import java.sql.Timestamp;
import java.util.Date;

/**
 * SystemUser entity. @author MyEclipse Persistence Tools
 */

public class SystemUser implements java.io.Serializable {
	public static final String ACTIVATED_DELETE="delete";//删除
	public static final String ACTIVATED_FORBIDDEN="forbidden";//禁用
	public static final String ACTIVATED_USEABLE="useable";//禁用
	// Fields

	private String id;
	private String loginCode;
	private String password;
	private String saltValue;
	private String activated;
	private String orgId;
	private String userName;
	private String userEmail;
	private String userMobile;
	private String userSex;
	private String userBirthday;
	private String userQq;
	private String userWechat;
	private Date lastLoginTime;

	// Constructors

	/** default constructor */
	public SystemUser() {
	}

	/** minimal constructor */
	public SystemUser(String loginCode, String password, String saltValue, String activated, String userName) {
		this.loginCode = loginCode;
		this.password = password;
		this.saltValue = saltValue;
		this.activated = activated;
		this.userName = userName;
	}

	/** full constructor */
	public SystemUser(String loginCode, String password, String saltValue, String activated, String orgId, String userName, String userEmail, String userMobile, String userSex, String userBirthday, String userQq, String userWechat, Timestamp lastLoginTime) {
		this.loginCode = loginCode;
		this.password = password;
		this.saltValue = saltValue;
		this.activated = activated;
		this.orgId = orgId;
		this.userName = userName;
		this.userEmail = userEmail;
		this.userMobile = userMobile;
		this.userSex = userSex;
		this.userBirthday = userBirthday;
		this.userQq = userQq;
		this.userWechat = userWechat;
		this.lastLoginTime = lastLoginTime;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getLoginCode() {
		return this.loginCode;
	}

	public void setLoginCode(String loginCode) {
		this.loginCode = loginCode;
	}

	public String getPassword() {
		return this.password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getSaltValue() {
		return this.saltValue;
	}

	public void setSaltValue(String saltValue) {
		this.saltValue = saltValue;
	}

	public String getActivated() {
		return this.activated;
	}

	public void setActivated(String activated) {
		this.activated = activated;
	}

	public String getOrgId() {
		return this.orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getUserName() {
		return this.userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserEmail() {
		return this.userEmail;
	}

	public void setUserEmail(String userEmail) {
		this.userEmail = userEmail;
	}

	public String getUserMobile() {
		return this.userMobile;
	}

	public void setUserMobile(String userMobile) {
		this.userMobile = userMobile;
	}

	public String getUserSex() {
		return this.userSex;
	}

	public void setUserSex(String userSex) {
		this.userSex = userSex;
	}

	public String getUserBirthday() {
		return this.userBirthday;
	}

	public void setUserBirthday(String userBirthday) {
		this.userBirthday = userBirthday;
	}

	public String getUserQq() {
		return this.userQq;
	}

	public void setUserQq(String userQq) {
		this.userQq = userQq;
	}

	public String getUserWechat() {
		return this.userWechat;
	}

	public void setUserWechat(String userWechat) {
		this.userWechat = userWechat;
	}

	public Date getLastLoginTime() {
		return this.lastLoginTime;
	}

	public void setLastLoginTime(Date lastLoginTime) {
		this.lastLoginTime = lastLoginTime;
	}

}